package anynt.environment.settings;


import anynt.space.Cell;


/**
 * It represents the interface of a reward provider.
 * This provider don'r share rewards between the agents, so everyone obtain the entire reward
 * 
 * @author Javier
 * @since 11/04/2011
 */
public class NoShareRewards implements RewardsProvider
{
	/**
	 * It returns the reward of the cell
	 */
	public double providedReward(Cell cell)
	{
		return cell.getReward();
	}
}