package anynt.object;


import anynt.space.Observation;


/**
 * It represents an interaction of the agents
 * 
 * @author Javier
 * @since 29/03/2011
 */
public class Interaction
{
	// Object attributes
	/**
	 * The action of the agent in the interaction
	 */
	private int[] action;
	/**
	 * The observation send by the environment
	 */
	private Observation observation;
	/**
	 * The reward send by the environment in the interaction
	 */
	private double reward;
	/**
	 * The elapsed time in the interaction
	 */
	private long elapsedTime;


	// Treatment of object attributes
	public int[] getAction()
	{
		return action;
	}
	public void setAction(int[] action)
	{
		this.action = action;
	}
	public Observation getObservation()
	{
		return observation;
	}
	public void setObservation(Observation observation)
	{
		this.observation = observation;
	}
	public double getReward()
	{
		return reward;
	}
	public void setReward(double reward)
	{
		this.reward = reward;
	}
	public double getElapsedTime()
	{
		return elapsedTime;
	}
	public void setElapsedTime(long time)
	{
		elapsedTime = time;
	}
}