package interfaces;


import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import anynt.test.Test;



@SuppressWarnings("serial")
public abstract class TestInterface extends JFrame
{
	protected static int WIDTH = 1500;
	protected static int HEIGHT = 650;


	protected ExercisePanel exercisePanel;
	protected Test test;


	public TestInterface()
	{
		Thread.currentThread().setName("Interface");
	}


	public void setContentPanel(JPanel panel)
	{
		setContentPane(new JScrollPane(panel));
		if (panel != null)
			panel.revalidate();
		validate();
	}


	public abstract void launch();

	public void exit()
	{
		System.exit(0);
	}
}