package anynt.exercise.settings;


/**
 * Represents the type of interaction of the exercise to know when it will be over
 * 
 * @author Javier
 * @since 11/04/2011
 */
public abstract class InteractionType
{
	// Object attributes
	/**
	 * Number of interaction where it is the exercise
	 */
	protected int interaction;


	// Treatment of object attributes
	public int getInteractionNumber()
	{
		return interaction;
	}

	// Object functions
	public void start()
	{
		interaction = 0;
	}
	public void end()
	{
		interaction++;
	}
	/**
	 * It checks if the interactions are over
	 */
	public abstract boolean checkOver();
}