package anynt.object;


/**
 * It extends an agent to represent a reward generator
 * 
 * @author Javier
 * @since 29/03/2011
 */
public class RewardsGeneratorAgent extends Agent
{
	// Object attributes
	/**
	 * Reward that the rewwarder generator will provide
	 */
	private final double dropReward;


	// Constructors
	public RewardsGeneratorAgent(String name, double dropReward)
	{
		super(name);

		this.dropReward = dropReward;
	}

	// Treatment of object attributes
	public double getDropReward()
	{
		return dropReward;
	}
}